<div class="content">

  <!-- Nav tabs -->
  <uib-tabset active="vm.tabActive">
    <uib-tab index="0" heading="Saved Homes">
      <div class="container-fluid" ng-if="vm.favorites.length === 0">
        <div class="page-header">
          <h1>Mis casas guardadas </h1>
          <div class="title-info">
            <h3>No hay casas seleccionadas.</h3>
          </div>
        </div>

        <div class="well text-center">
          <h2>NO TE LO PIERDAS!</h2>

          <p>
            <br/>
            Guarda tus casas favoritas así nosotros podemos <br/>
            avisarte si hay algo nuevo!
            <br/><br/>
            Además puedes verlas después<br/>
            o estar al tanto de ellas.
          </p>
        </div>
      </div>
      <div class="container-fluid" ng-if="vm.favorites.length > 0">
        <div class="page-header">
          <h1>Mis casas guardadas </h1>
          <div class="title-info">
            <h3>{{vm.favorites.length}} Casas</h3>
            <p class="ordered"> Ordenadas por <b>Fecha Guardada</b></p>
          </div>
        </div>

        <div class="well">
          <div class="row">
            <div class="col-sm-6" ng-repeat="favorite in vm.favorites">
              <div class="panel panel-default property-card">
                <div class="panel-heading" style="height: 60px;">
                  <div class="panel-title">{{favorite.propriety.address.full}}</div>
                </div>
                <div class="panel-body image zero-padding" ng-click="state.showPropriety(favorite.propriety)">
                  <div class="property-price"><b>${{favorite.propriety.listPrice | number:2}}</b></div>
                  <img class="img-responsive" ng-src="{{favorite.propriety.photos[0]}}"/>
                </div>
                <ul class="list-group">
                  <li class="list-group-item text-center zero-padding">
                    <small>{{favorite.propriety.property.bedrooms}} Cuartos |
                      {{favorite.propriety.property.bathsFull + favorite.propriety.property.bathsHalf}} Baños |
                      {{favorite.propriety.property.area}} SQFT
                    </small>
                  </li>
                </ul>
                <div class="panel-body zero-padding property-contact">
                  <button
                    class="btn btn-default btn-block">
                    CONTACTA AL AGENTE
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>

    </uib-tab>
    <uib-tab index="1" heading="Saved Searches">
      <div class="container-fluid searches" ng-if="vm.searches.length === 0">
        <div class="page-header">
          <h1>Mis Búsquedas Guardadas</h1>
          <div class="title-info">
            <h3>No hay búsquedas.</h3>
          </div>
        </div>

        <div class="well text-center">
          <h2>QUÉ ESTÁS <br/> BUSCANDO?</h2>

          <p>
            <br/>
            Empieza a buscar la casa de tus sueños <br/>
            Si ves algo que te gusta, guarda la búsqueda<br/>
            así no lo olvidarás!
          </p>
        </div>

      </div>
      <div class="container-fluid searches" ng-if="vm.searches.length > 0">
        <div class="page-header">
          <h1>Mis Búquedas Guardadas</h1>
          <div class="title-info">
            <h3>{{vm.searches.length}} Búsquedas</h3>
            <p class="ordered"> Ordenadas por <b>Fecha de Búsqueda</b></p>
          </div>

        </div>

        <div class="well">
          <div class="list-group">
            <a href="#" class="list-group-item" ng-repeat="search in vm.searches">
              <h4 class="list-group-item-heading">{{search.query.q}}</h4>
              <p class="list-group-item-text">{{search.created_at | date:"MMM dd 'at' h:mm a"}}</p>
              <p>
                <ul class="search-filters">
                  <li  ng-if="state.getQueryLabel(filter, search.filters)" ng-repeat="filter in state.getSearchProperties(search.filters)">{{state.getQueryLabel(filter, search.filters)}}</li>
                </ul>
              </p>
              <div class="action-delete"><i class="glyphicon glyphicon-remove" ng-click="vm.removeSearch($index)"></i></div>
              <div class="action-search"><i class="glyphicon glyphicon-chevron-right" ng-click="vm.research(search.query, search.filters)"></i></div>
            </a>
          </div>
        </div>
      </div>
    </uib-tab>
    <li class="pull-right"><button class="btn btn-primary save-search" ng-click="state.showSearches = false">Volver a la Búsqueda</button></li>
  </uib-tabset>

</div>
